[![Travis Build Status][travis-image]][travis-url]
[![AppVeyor Build status][appveyor-image]][appveyor-url]
[![Dev Dependency Status][dev-dependency-image]][dev-dependency-url]
[![TypeScript definitions on DefinitelyTyped](https://definitelytyped.org/badges/standard-flat.svg)](https://www.npmjs.com/package/@types/workbox-sw)

<img src='https://user-images.githubusercontent.com/110953/28352645-7a8a66d8-6c0c-11e7-83af-752609e7e072.png' width='500px'/>

# Welcome to Workbox!

Workbox is a collection of JavaScript libraries for
[Progressive Web Apps](https://developers.google.com/web/progressive-web-apps/).

## Documentation

* [Overview](https://developers.google.com/web/tools/workbox/) ([site source](https://github.com/google/WebFundamentals/tree/master/src/content/en/tools/workbox))
* [Get started](https://developers.google.com/web/tools/workbox/guides/get-started)
* [Contribute](CONTRIBUTING.md)

Workbox is available on `npm`. We have [installation
instructions](https://developers.google.com/web/tools/workbox/guides/precache-files/)
available depending on your build tool or bundler of choice, including
`webpack`.

## Contributing

Development happens in the open on GitHub. We're thankful to the community for
contributing any improvements.

Please read the [guide to contributing](CONTRIBUTING.md) prior to filing any
pull requests.

<h2>Core Team</h2>

<table>
  <tbody>
    <tr>
      <td align="center" valign="top">
        <img width="100" height="100" src="https://github.com/jeffposnick.png?s=150">
        <br>
        <a href="https://github.com/jeffposnick">Jeff Posnick</a>
      </td>
      <td align="center" valign="top">
        <img width="100" height="100" src="https://github.com/gauntface.png?s=150">
        <br>
        <a href="https://github.com/gauntface">Matt Gaunt</a>
      </td>
      <td align="center" width="20%" valign="top">
        <img width="100" height="100" src="https://github.com/addyosmani.png?s=150">
        <br>
        <a href="https://github.com/addyosmani">Addy Osmani</a>
      </td>
      <td align="center" valign="top">
        <img width="100" height="100" src="https://github.com/philipwalton.png?s=150">
        <br>
        <a href="https://github.com/philipwalton">Philip Walton</a>
      </td>
      <td align="center" valign="top">
        <img width="100" height="100" src="https://github.com/prateekbh.png?s=150">
        <br>
        <a href="https://github.com/prateekbh">Prateek Bhatnagar</a>
      </td>
       <td align="center" valign="top">
        <img width="100" height="100" src="https://github.com/kaycebasques.png?s=150">
        <br>
        <a href="https://github.com/kaycebasques">Kayce Basques</a>
      </td>
     </tr>
  </tbody>
</table>

## License

MIT, see [LICENSE](LICENSE) for details.

[npm-url]: https://npmjs.org/package/workbox
[npm-image]: https://badge.fury.io/js/workbox.svg
[travis-url]: https://travis-ci.org/GoogleChrome/workbox
[travis-image]: https://travis-ci.org/GoogleChrome/workbox.svg?branch=master
[appveyor-image]: https://ci.appveyor.com/api/projects/status/4ct8ph4d34c5ifnw?svg=true
[appveyor-url]: https://ci.appveyor.com/project/gauntface/workbox
[dev-dependency-url]: https://david-dm.org/GoogleChrome/workbox?type=dev
[dev-dependency-image]: https://david-dm.org/GoogleChrome/workbox/dev-status.svg
